﻿// Последовательная нумерация сносок (footnotes) в книге
// densen 14.07.2023

var myBook = app.activeBook; // Переменная открытого файла книги
var n = 1; // Число, с которого начинается нумерация сносок в книге
for (var i = 0; i < myBook.bookContents.length; i++) // Цикл перебора всех файлов, входящих в книгу
    {
    app.open (myBook.bookContents[i].fullName); // Последовательное открытие файлов, входящих в книгу
    var myDoc = app.activeDocument; // Переменная текущего открытого файла
    myDoc.footnoteOptions.startAt = n; // Задание числа, с которого начинается нумерация сносок в открытом файле
    var m = myDoc.stories.everyItem().footnotes.length; // Количество сносок в открытом файле
    n = n + m; // Число, с которого будет начинаться нумерация в следующем открытом файле
    myDoc.close(SaveOptions.YES) // Закрытие текущего открытого файла с его сохранением
    }